From 6b33adfa438e35b6a37cfb0364274370ef4f9fc1 Mon Sep 17 00:00:00 2001
From: Khem Raj <raj.khem@gmail.com>
Date: Wed, 23 Dec 2020 18:00:59 +0000
Subject: [PATCH] Do not use -Werror as it fails with newer clang 11+

Upstream-Status: Pending
Signed-off-by: Khem Raj <raj.khem@gmail.com>
---
 GNUmakefile | 1 -
 1 file changed, 1 deletion(-)

--- a/GNUmakefile
+++ b/GNUmakefile
@@ -91,12 +91,13 @@ comma := ,
 # If supported by COMPILER_gcc, add given flags to CFLAGS_gcc.
 # Example usage:
 #   $(eval $(call CHECK_CFLAGS_gcc,-fasynchronous-unwind-tables))
-define CHECK_CFLAGS_gcc
-CFLAGS_gcc += $$(if $$(shell if $$(COMPILER_gcc) $(1) -x c -o compile-check.gcc-o -c - < /dev/null > /dev/null 2>&1; then echo yes; else :; fi; rm -f compile-check.gcc-o > /dev/null 2>&1),$(1))
-endef
 
 COMPILER_gcc = gcc
 LINKER_gcc = gcc
+ifneq ($(COMPILER_gcc),no)
+define CHECK_CFLAGS_gcc
+CFLAGS_gcc += $$(if $$(shell if $$(COMPILER_gcc) $(1) -x c -o compile-check.gcc-o -c - < /dev/null > /dev/null 2>&1; then echo yes; else :; fi; rm -f compile-check.gcc-o > /dev/null 2>&1),$(1))
+endef
 CPPFLAGS_gcc =
 CFLAGS_gcc =
 CFLAGS_gcc += -std=gnu99 -pedantic
@@ -113,30 +114,24 @@ CFLAGS_gcc += -save-temps=obj
 LDFLAGS_gcc =
 LIBS_gcc =
 
-ifneq ($(call pathsearch,$(COMPILER_gcc)),)
-ifneq ($(COMPILER_gcc)),no)
 COMPILERS += gcc
 endif
-endif
 
 COMPILER_clang = clang
 LINKER_clang = clang
+
+ifneq ($(COMPILER_clang),no)
 CPPFLAGS_clang =
 CFLAGS_clang += -Wall -Wextra
 CFLAGS_clang += -Weverything
 CFLAGS_clang += -Wno-padded
 CFLAGS_clang += -std=gnu99 -pedantic
-CFLAGS_clang += -Werror
-CFLAGS_clang += -fsanitize=undefined
 CFLAGS_clang += -O -g
 LDFLAGS_clang =
 LIBS_clang =
 
-ifneq ($(call pathsearch,$(COMPILER_clang)),)
-ifneq ($(COMPILER_clang),no)
 COMPILERS += clang
 endif
-endif
 
 
 ########################################################################
